### Method

# GUPnPAV DIDLLiteObject add_descriptor

#### Declaration [src]

    GUPnPDIDLLiteDescriptor*
    gupnp_didl_lite_object_add_descriptor (
      GUPnPDIDLLiteObject* object
    )

#### Description [src]

Creates a new descriptor, attaches it to `object` and returns it.

#### Return value

Type: `GUPnPDIDLLiteDescriptor`

A new `GUPnPDIDLLiteDescriptor` object. Unref after usage.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.